com.independentsoft.msg

## Enum BusyStatus

- java.lang.Object
- - java.lang.Enum<BusyStatus>
  - - com.independentsoft.msg.BusyStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BusyStatus>

      public enum BusyStatus
      extends java.lang.Enum<BusyStatus>

  Specifies whether the attendee is busy at the time of an appointment on their calendar. The specified status appears in the free/busy view of the calendar.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUSY` Busy status.
    `FREE` Free status.
    `NONE` None.
    `OUT_OF_OFFICE` Out of the office status.
    `TENTATIVE` Tentative status.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BusyStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BusyStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FREE

          public static final BusyStatus FREE

      Free status.

    - #### TENTATIVE

          public static final BusyStatus TENTATIVE

      Tentative status.

    - #### BUSY

          public static final BusyStatus BUSY

      Busy status.

    - #### OUT_OF_OFFICE

          public static final BusyStatus OUT_OF_OFFICE

      Out of the office status.

    - #### NONE

          public static final BusyStatus NONE

      None.

  - ### Method Detail

    - #### values

          public static BusyStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BusyStatus c : BusyStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BusyStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null